<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
	<extension point="org.eclipse.ui.commands"> 
		<command
			categoryId="org.eclipse.papyrus.editor.category"
			defaultHandler="org.eclipse.papyrus.robotics.ros2.codegen.python.ui.handlers.GenerateCodeHandler"
			id="org.eclipse.papyrus.robotics.ros2.codegen.python.ui.GenerateCodeCmd"
			name="Generate ROS 2/Python code"/>
	</extension>
	<extension point="org.eclipse.ui.menus">
		<menuContribution
			allPopups="false"
   			locationURI="popup:org.eclipse.papyrus.robotics.simplifiedui.ui.menu">
			<command
				commandId="org.eclipse.papyrus.robotics.ros2.codegen.python.ui.GenerateCodeCmd"
				icon="platform:/plugin/org.eclipse.papyrus.robotics.ros2.codegen.common/icons/ros-16x16.png">
				<visibleWhen checkEnabled="false">
					<iterate>
						<adapt type="org.eclipse.emf.ecore.EObject">
							<or>
								<test property="org.eclipse.papyrus.uml.stereotype" value="robotics::components::ComponentDefinition"/>
								<test property="org.eclipse.papyrus.uml.stereotype" value="robotics::components::System"/>
								<test property="org.eclipse.papyrus.uml.stereotype" value="robotics::services::ServiceDefinition"/>
								<test property="org.eclipse.papyrus.uml.stereotype" value="robotics::commobject::DataType"/>
								<test property="org.eclipse.papyrus.uml.stereotype" value="robotics::commobject::CommunicationObject"/>
							</or>
						</adapt>
					</iterate>
				</visibleWhen>
			</command>
		</menuContribution>
	</extension>
</plugin>
